import { DBConnector } from '@db';
class Casher {
    constructor() {
        this.AVAILABLE_CASHER = `
    SELECT
      COUNT(*) AS AVAILABLE_CASHER
    FROM
      CAIXA
  `;
    }
    getAvailableCasher(conn) {
        return DBConnector.instance.fetch(conn, this.AVAILABLE_CASHER);
    }
}
const instance = new Casher();
export { instance as Casher };
export default instance;
