-- CreateTable
CREATE TABLE "ProductSettingDetail" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "config" TEXT NOT NULL,
    "devopsId" INTEGER NOT NULL,
    "productSettingId" TEXT NOT NULL,
    "createdAt" DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    CONSTRAINT "ProductSettingDetail_productSettingId_fkey" FOREIGN KEY ("productSettingId") REFERENCES "ProductSetting" ("id") ON DELETE CASCADE ON UPDATE CASCADE
);

-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_ProductSetting" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "devopsId" INTEGER NOT NULL,
    "config" TEXT NOT NULL,
    "createdAt" DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP,
    CONSTRAINT "ProductSetting_devopsId_fkey" FOREIGN KEY ("devopsId") REFERENCES "Product" ("devopsId") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_ProductSetting" ("config", "devopsId", "id") SELECT "config", "devopsId", "id" FROM "ProductSetting";
DROP TABLE "ProductSetting";
ALTER TABLE "new_ProductSetting" RENAME TO "ProductSetting";
CREATE UNIQUE INDEX "ProductSetting_devopsId_key" ON "ProductSetting"("devopsId");
PRAGMA foreign_key_check;
PRAGMA foreign_keys=ON;

-- CreateIndex
CREATE UNIQUE INDEX "ProductSettingDetail_devopsId_key" ON "ProductSettingDetail"("devopsId");

-- CreateIndex
CREATE UNIQUE INDEX "ProductSettingDetail_productSettingId_key" ON "ProductSettingDetail"("productSettingId");
