import oracledb from 'oracledb';
import { OracleConfig } from '@db/oracle';
class Connection {
    async connect(connectionData) {
        const connParams = OracleConfig.getConnectionParams(connectionData);
        const newConnection = await oracledb.getConnection(connParams);
        return newConnection;
    }
}
const instance = new Connection();
export { instance as Connection };
