import { DBConnector } from '@db';
class Subsidiary {
    constructor() {
        this.AVAILABLE_SUBSIDIARY = `
    SELECT
      COUNT(*) AS AVAILABLE_SUBSIDIARY
    FROM
      FILIAL
    WHERE
      CDFILIAL NOT IN (
        SELECT
          CDFILIAL
        FROM
          CAIXA
      )
  `;
    }
    getAvailableSubsidiary(conn) {
        return DBConnector.instance.fetch(conn, this.AVAILABLE_SUBSIDIARY);
    }
}
const instance = new Subsidiary();
export { instance as Subsidiary };
export default instance;
